Retry a terminal execution
import requests
url = "https://platform.ankra.app/api/v1/org/executions/{execution_id}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/executions/{execution_id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/executions/{execution_id}/retry \
--header 'Authorization: Bearer <token>'{
"display_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "cluster",
"status": "running",
"type": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>",
"outcome": "unknown",
"step_summary": {
"failed": 0,
"pending": 0,
"running": 0,
"succeeded": 0,
"total": 0
},
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Executions
Retry a terminal execution
POST
/
api
/
v1
/
org
/
executions
/
{execution_id}
/
retry
Retry a terminal execution
import requests
url = "https://platform.ankra.app/api/v1/org/executions/{execution_id}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/executions/{execution_id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/executions/{execution_id}/retry \
--header 'Authorization: Bearer <token>'{
"display_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "cluster",
"status": "running",
"type": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>",
"outcome": "unknown",
"step_summary": {
"failed": 0,
"pending": 0,
"running": 0,
"succeeded": 0,
"total": 0
},
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Available options:
cluster, platform Available options:
running, stopping, success, cleanup, failed, critical, cancelled Available options:
unknown, noop, mutated, failed, cancelled Show child attributes
Show child attributes